Subject: Re: [paws] outcome of the Atlanta F2F

From: Vincent Chen <[email-masked]>
Date: Mon, 17 Dec 2012 18:02:03 -0800

All,

I have uploaded a new version of the draft that addresses the
non-controversial open items:

- Add JSON encoding using JSON-RPC formatted messages along with some
examples.
- Adopt RFC5491 for GeoLocation data model
- Adopt vCard for the contact information data model
- Add Response Code section
- Change "DeviceIdentifier" to "DeviceDescriptor" to allow it to hold
identifiers and device-characteristic fields
- Moved regulatory-specifics out of the main body of the document

-vince

On Mon, Nov 26, 2012 at 12:35 PM, Vincent Chen <[email-masked]> wrote:

> Gabor,
>
> On Mon, Nov 26, 2012 at 11:35 AM, <[email-masked]> wrote:
>
>>  We had good technical discussions during our last F2F, with good
>> proposals on how to close some of the open issues. I’ll try to summarize
>> the outcome in the next couple of emails, starting with the least
>> controversial items:****
>>
>> ** **
>>
>> There were no objections against Vince’s proposal to use ** **
>>
>> ** **
>>
>> JSON-RPC, as indicated in slides 7&8 of
>> http://www.ietf.org/proceedings/85/slides/slides-85-paws-1.pptx****
>>
>> Keeping the PAWS and HTTP layers separate and Indicating errors as
>> proposed in slide 9 of
>> http://www.ietf.org/proceedings/85/slides/slides-85-paws-1.pptx
>>
>
> FYI. Because of the acceptance of JSON-RPC, slide 9 is not quite accurate,
> but the intent remains the same. The error codes would be returned
> within JSON-RPC error messages.
>
>
>> ****
>>
>> Use RFC5491 for geo-location encoding (someone needs to JSON encode it),
>> instead of RFC6225, to support requirement D8.****
>>
>> Use vCard encoding for the contact field (slide 18 of
>> http://www.ietf.org/proceedings/85/slides/slides-85-paws-1.pptx )****
>>
>> ** **
>>
>> I’d like to confirm these on the list. If you see any issues with the
>> above, please notify the list asap.****
>>
>> ** **
>>
>> Thanks, Gabor****
>>
>> ** **
>>
>> ** **
>>
>> ** **
>>
>> ** **
>>
>> ** **
>>
>> _______________________________________________
>> paws mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/paws
>>
>>
>
>
> --
> -vince
>